/// <reference types="node" />
import { Readable } from 'stream';
import * as walker from './walker';
export declare type PackOptions = {
    tar?: {
        [k: string]: any;
    };
} & walker.Options;
export declare const pack: (paths: string | {
    [toPath: string]: string | CustomFile;
}, options?: PackOptions | undefined) => any;
export declare class CustomFile {
    mode: number;
    linkPath?: string;
    data?: Buffer | Readable;
    uid: number;
    gid: number;
    ctime: Date;
    atime: Date;
    mtime: Date;
    size: number;
    constructor(opts: {
        mode?: number;
        type?: string;
        linkPath?: string;
        data?: Buffer | Readable;
        size?: number;
    });
    isDirectory(): boolean;
    isSymbolicLink(): boolean;
    isFile(): boolean;
}
