"use strict";
// Copyright 2019 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     https://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
Object.defineProperty(exports, "__esModule", { value: true });
const assert = require("assert");
const dockerio_1 = require("../src/auth/dockerio");
const image_specifier_1 = require("../src/image-specifier");
describe('can authenticate to docker.io', () => {
    it('can get read write token to dockerio', async () => {
        const imageLocation = image_specifier_1.parse('node:lts');
        const res = await dockerio_1.handler(imageLocation, 'push,pull');
        // console.log(res);
        assert.ok(res.token, 'should have token returned from docker api');
    });
});
//# sourceMappingURL=auth-dockerio.js.map